
CREATE DATABASE DOGADJAJI
go

USE DOGADJAJI
go

CREATE TABLE [OBJEKAT]
( 
	[SifO]            	INT IDENTITY NOT NULL,
	[Naziv]           	VARCHAR(100)  NOT NULL 
)
go

ALTER TABLE [OBJEKAT]
	ADD CONSTRAINT [XPKOBJEKAT] PRIMARY KEY  CLUSTERED ([SifO] ASC)
go

CREATE TABLE [SEKTOR]
( 
	[SifS]            	INT  IDENTITY NOT NULL,
	[Oznaka]          	VARCHAR(50) NOT NULL,
	[FaktorS]         	DECIMAL(10,2) NOT NULL, 
	[BrojRedova]      	INT NOT NULL, 
	[SifO]            	INT NOT NULL 
)
go

ALTER TABLE [SEKTOR]
	ADD CONSTRAINT [XPKSEKTOR] PRIMARY KEY  CLUSTERED ([SifS] ASC)
go

CREATE TABLE [RED]
( 
	[SifR]            	INT IDENTITY NOT NULL,
	[Broj]				INT NOT NULL,
	[FaktorR]          	DECIMAL(10,2) NOT NULL, 
	[BrojSedista]      	INT NOT NULL, 
	[SifS]             	INT NOT NULL 
)
go

ALTER TABLE [RED]
	ADD CONSTRAINT [XPKRED] PRIMARY KEY  CLUSTERED ([SifR] ASC)
go



CREATE TABLE [DOGADJAJ]
( 
	[SifD]              INT  IDENTITY  NOT NULL,
	[Naziv]             VARCHAR(50)  NOT NULL,
	[Opis]           	VARCHAR(300),
	[Datum]             DATE NOT NULL,
	[OsnovnaCena]       DECIMAL(10,2) NOT NULL,
	[BrojPreostalihUlaznica]  INT
)
go

ALTER TABLE [DOGADJAJ]
	ADD CONSTRAINT [XPKDOGADJAJ] PRIMARY KEY  CLUSTERED ([SifD] ASC)
go


CREATE TABLE [DOGADJAJ_OTKAZAN]
( 
	[SifD]              INT NOT NULL ,
	[Razlog]            VARCHAR(100)  NOT NULL ,
	[Steta]           	DECIMAL(10,2)
)
go

ALTER TABLE [DOGADJAJ_OTKAZAN]
	ADD CONSTRAINT [XPKDOGADJAJ_OTKAZAN] PRIMARY KEY  CLUSTERED ([SifD] ASC)
go

CREATE TABLE [ULAZNICA]
( 
	[SifU]            	INT IDENTITY NOT NULL ,
	[SedisteBr]         INT  NOT NULL, 
	[ZvanicnaCena]      DECIMAL(10,2)  NOT NULL,
	[Status]           	CHAR(1) NOT NULL,
	[SifR]              INT  NOT NULL
)
go

ALTER TABLE [ULAZNICA]
	ADD CONSTRAINT [XPKULAZNICA] PRIMARY KEY  CLUSTERED ([SifU] ASC)
go

CREATE TABLE [KUPAC]
( 
	[SifK]              INT IDENTITY NOT NULL ,
	[Ime]              	VARCHAR(50) NOT NULL
)
go

ALTER TABLE [KUPAC]
	ADD CONSTRAINT [XPKKUPAC] PRIMARY KEY  CLUSTERED ([SifK] ASC)
go

CREATE TABLE [KUPIO]
( 
	[SifU]              INT NOT NULL,
	[SifK]              INT NOT NULL,
	[Cena]           	DECIMAL(10,2) NOT NULL 
)
go

ALTER TABLE [KUPIO]
	ADD CONSTRAINT [XPKKUPIO] PRIMARY KEY  CLUSTERED ([SifU] ASC)
go

CREATE TABLE [VAZI]
( 
	[SifU]           	INT NOT NULL,
	[SifD]           	INT NOT NULL
)
go

ALTER TABLE [VAZI]
	ADD CONSTRAINT [XPKVAZI] PRIMARY KEY  CLUSTERED ([SifU] ASC)
go


CREATE TABLE [POPUST]
( 
	[BrojUlaznica]      INT NOT NULL,
	[Popust]           	DECIMAL(10,2)  NOT NULL
)
go

ALTER TABLE [POPUST]
	ADD CONSTRAINT [XPKPOPUST] PRIMARY KEY  CLUSTERED ([BrojUlaznica] ASC)
go


ALTER TABLE [SEKTOR]
	ADD CONSTRAINT [R_1] FOREIGN KEY ([SifO]) REFERENCES [OBJEKAT]([SifO])
		ON DELETE CASCADE
		ON UPDATE CASCADE
go


ALTER TABLE [RED]
	ADD CONSTRAINT [R_2] FOREIGN KEY ([SifS]) REFERENCES [SEKTOR]([SifS])
		ON DELETE CASCADE
		ON UPDATE CASCADE
go


ALTER TABLE [DOGADJAJ_OTKAZAN]
	ADD CONSTRAINT [R_3] FOREIGN KEY ([SifD]) REFERENCES [DOGADJAJ]([SifD])
		ON DELETE CASCADE
		ON UPDATE CASCADE
go

ALTER TABLE [ULAZNICA]
	ADD CONSTRAINT [R_4] FOREIGN KEY ([SifR]) REFERENCES [RED]([SifR])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [KUPIO]
	ADD CONSTRAINT [R_7] FOREIGN KEY ([SifU]) REFERENCES [ULAZNICA]([SifU])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [KUPIO]
	ADD CONSTRAINT [R_8] FOREIGN KEY ([SifK]) REFERENCES [KUPAC]([SifK])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go


ALTER TABLE [VAZI]
	ADD CONSTRAINT [R_9] FOREIGN KEY ([SifU]) REFERENCES [ULAZNICA]([SifU])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [VAZI]
	ADD CONSTRAINT [R_10] FOREIGN KEY ([SifD]) REFERENCES [DOGADJAJ]([SifD])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

